Aller au contenu


Photo

[Switch] Emuiibo v0.6 disponible


  • Veuillez vous connecter pour répondre
9 réponses à ce sujet

Posté 26 septembre 2020 - 22:13

#1
tralala

tralala

    \0/ Postman \0/

  • Newser Expert
  • 9 737 messages
  • Sexe:Male
Le développeur XorTroll vient de mettre en ligne une toute nouvelle version d'Emuiibo, avec cette version il a totalement réécrit le code, sauf la superposition, en conséquence tout a évolué en interne. 
 
Pour ceux qui ne connaîtraient pas Emuiibo, il s'agit d'un module qui permet de profiter de l'émulation d'amiibo au moyen de fichiers "Bin" présent sur la carte SD, Emuiibo utilise un nouveau format de stockage de données sur la carte microSD.
 
 
 
 
Les changements :
 
- Emuiibo a subi une réécriture complète dans Rust 
 
- Prise en charge de la dernière version d'Atmosphere (0.14.4), et des prochaines versions, à moins que des modifications trop importantes ne soient introduites
 
- Emuiibo ne gère plus la conversion des dumps raw amiibo ou des anciens formats emuiibo - seul le format actuel est supporté (celui utilisé depuis la version 0.5.x)
 
- La taille du tas a été considérablement réduite (la dernière version utilisait 0x40000, la version actuelle n'utilise que 0x4000 !) - de plus, la taille du NSP exefs a été réduite également, étant maintenant 5 fois plus petite que 0.5.x
 
- En ce qui concerne les problèmes connus avec les services de temps et les sysmodules, emuiibo n'utilise plus ce service pour éviter de créer d'autres problèmes, même si cela implique que la "date de dernière écriture" des amiibos virtuels ne sera pas corrigée quand un amiibo virtuel est modifié - heureusement, ne plus émuler cela ne change rien de pertinent ni ne casse rien
 
- L'interface IPC d'emuiibo que d'autres processus peuvent utiliser pour communiquer avec lui a subi une modification mineure - ainsi, les superpositions 0.5.x ou plus anciennes NE FONCTIONNENT PAS avec cette version d'emuiibo !
 
- Emutool n'a pas changé du tout
 
Téléchargement : Emuiibo v0.6
 

  • Retour en haut

Posté 26 septembre 2020 - 22:53

#2
makinator66

makinator66

    Sunriseur avancé

  • Members
  • PipPipPip
  • 582 messages
  • Sexe:Not Telling
Ne marche pas sur atmosphere 13 et sxos 3.5 ...
Sûrement seulement compatible avec atmosphere 14.4
  • Retour en haut

Posté 26 septembre 2020 - 22:58

#3
Natacha

Natacha

    Sunriseur

  • Members
  • PipPip
  • 57 messages
  • Sexe:Male
  • Lieu:Rennes
  • Passions:Actualité jeux vidéo - Cinéma
peut etre, il semble effectivement avoir changé pas mal de choses structurelles.
  • Retour en haut

Posté 27 septembre 2020 - 09:30

#4
Chad_daddy

Chad_daddy

    Sunriseur

  • Members
  • PipPip
  • 176 messages
Dommage que ça marche pas avec SX
  • Retour en haut

Posté 27 septembre 2020 - 13:40

#5
MaxCash13

MaxCash13

    Sunriseur

  • Members
  • PipPip
  • 26 messages
Non fonctionnel sur SX OS. En attente d'une correction... Sinon merci pour la news !

Modifié par MaxCash13, 27 septembre 2020 - 13:40.

  • Retour en haut

Posté 28 septembre 2020 - 00:16

#6
Pouic

Pouic

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 336 messages
  • Sexe:Male

Merci !


  • Retour en haut

Posté 28 septembre 2020 - 03:59

#7
crauser

crauser

    Sunriseur

  • Members
  • PipPip
  • 254 messages
  • Sexe:Male
  • Lieu:BESANçON
  • Passions:Famicom Av-Super Famicom ... en RGB CSync
    Wii U dézonnée & switch SX OS
    ps4 Pro & Xbox ONE X

Non fonctionnel sur SX OS. En attente d'une correction... Sinon merci pour la news !


une ancienne version fonctionnait avec sxos?
  • Retour en haut

Posté 28 septembre 2020 - 17:30

#8
shadow256

shadow256

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 6 970 messages
  • Sexe:Male

une ancienne version fonctionnait avec sxos?

Oui, la 0.4 il me semble avec une ancienne version de SXOS (2.9.5 il me semble). Après faut pas rêver, je pense que ce module ne sera plus compatible SXOS, les différences dans le fonctionnement entre SXOS et Atmosphere se sont vraiment accentuées depuis Atmosphere 0.11.0 et beaucoup de modules ne sont pas compatibles SXOS. Même si la solution n'est pas gratuite, pour utiliser des amiibos avec SXOS moi je conseille le N2elite (ou Amiiko) qui lui fonctionne très bien (fonctionne aussi parfaitement avec Atmosphere et d'ailleurs fonctionne très bien avec toutes consoles Nintendo, CFW ou pas).


Mes créations:
Ultimate-Switch-Hack-Script, mon plus gros projet
Ultimate Wii U Hack Script, mon premier projet, plutôt complet
Ultimate PS3 Hack Script, un projet peut utile aujourd'hui

Si vous aimez mon travail, vous pouvez me faire une donation via paypal en cliquant ici, pensez que même un euro se sera déjà beaucoup et très apprécié.

Matériel:
Spoiler
  • Retour en haut

Posté 28 septembre 2020 - 20:18

#9
makinator66

makinator66

    Sunriseur avancé

  • Members
  • PipPipPip
  • 582 messages
  • Sexe:Not Telling

une ancienne version fonctionnait avec sxos?


Oui, la 0.4 il me semble avec une ancienne version de SXOS (2.9.5 il me semble). Après faut pas rêver, je pense que ce module ne sera plus compatible SXOS, les différences dans le fonctionnement entre SXOS et Atmosphere se sont vraiment accentuées depuis Atmosphere 0.11.0 et beaucoup de modules ne sont pas compatibles SXOS. Même si la solution n'est pas gratuite, pour utiliser des amiibos avec SXOS moi je conseille le N2elite (ou Amiiko) qui lui fonctionne très bien (fonctionne aussi parfaitement avec Atmosphere et d'ailleurs fonctionne très bien avec toutes consoles Nintendo, CFW ou pas).


Rien à voir avec la version de sxos ,l'ancienne version d"emuiibo fonctionne jusqu'au firmware switch 9.0.1 même avec la dernière version de sxos

Modifié par makinator66, 28 septembre 2020 - 20:20.

  • Retour en haut

Posté 29 septembre 2020 - 18:11

#10
shadow256

shadow256

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 6 970 messages
  • Sexe:Male

Peut-être, il est vrai que des modifications importantes ont aussi eu lieu côté firmware de la Switch dans cette période. enfin bon ça ne change pas grand chose au fait qu'Emuiibo 0.5 ou 0.6 ne fonctionne plus avec SXOS (et vu qu'il est basé sur une bibliothèque d'Atmosphere je pense que c'est pas près de changer) et vu que pas mal de jeux nécessitent au moins le firmware 9.1.0 même en patchant le jeu pour l'utiliser sur un firmware plus ancien le firmware 9.0.2 est dépassé et donc utiliser Emuiibo 0.4 est une solution peu viable.


Mes créations:
Ultimate-Switch-Hack-Script, mon plus gros projet
Ultimate Wii U Hack Script, mon premier projet, plutôt complet
Ultimate PS3 Hack Script, un projet peut utile aujourd'hui

Si vous aimez mon travail, vous pouvez me faire une donation via paypal en cliquant ici, pensez que même un euro se sera déjà beaucoup et très apprécié.

Matériel:
Spoiler
  • Retour en haut




0 utilisateur(s) li(sen)t ce sujet

0 invité(s) et 0 utilisateur(s) anonyme(s)